package com.securityl.mylocationapp;

import android.location.Criteria;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
//import android.location.LocationManager;
import android.os.Bundle;
import android.app.Activity;
import android.content.Context;
import android.telephony.TelephonyManager;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends Activity implements LocationListener {

	LocationManager locationManager;
	String bestProvider;
	Location currentLocation;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        currentLocation = new Location(LocationManager.GPS_PROVIDER);
        
     // Acquire a reference to the system Location Manager

    	locationManager = (LocationManager) getSystemService(LOCATION_SERVICE); // new FakeLocationManager(null); // 
    	//locationManager.requestLocationUpdates(FakeLocationManager.GPS_PROVIDER,0,0,this);
    	
    	Criteria criteria = new Criteria();
    	criteria.setAccuracy(Criteria.ACCURACY_FINE);
    	criteria.setCostAllowed(false);
    	
    	bestProvider = locationManager.getBestProvider(criteria, true);
    	
    	/*if (bestProvider==null) {
    		bestProvider="gps";
    	}
    	*/
    	
    	TextView tv = (TextView) findViewById(R.id.tyinput);
    	tv.setText("best provider = " + bestProvider);
    	
    }

    public void ButtonFunction(View view) {
    	TextView tv = (TextView) findViewById(R.id.tyinput);
    	
		TelephonyManager tm = (TelephonyManager)getSystemService(TELEPHONY_SERVICE);
		String a = tm.getDeviceId();
		String b = tm.getSubscriberId();
    	tv.setText(a + " " + b);
    	Boolean x = StaticFakeEverythingManager.something(tv);
    	Boolean y = StaticFakeEverythingManager.isProviderEnabled();
    	StaticFakeEverythingManager.requestLocationUpdates();
    	Location l = StaticFakeEverythingManager.getLastKnownLocation();
    	
    	Boolean z = b.length() > 5;
    	if(x && !y && z){
    		tv.setText(l.toString());
    	}
    }

	@Override
	public void onLocationChanged(Location arg0) {
		// TODO Auto-generated method stub
		TextView tv = (TextView) findViewById(R.id.tyinput);
		currentLocation =new Location(arg0);
		tv.setText("location changed");
	}

	@Override
	public void onProviderDisabled(String arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onProviderEnabled(String arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onStatusChanged(String arg0, int arg1, Bundle arg2) {
		// TODO Auto-generated method stub
		
	}
  
}
